function love.load()
require "cavity"
love.graphics.setPointStyle("rough")
love.graphics.setPointSize(5)
ps = love.graphics.getPointSize()
ofx = 0
ofy = 0
sx,sy = love.window.getMode()


-- make a map
level = cavity.makemap(sx/5,sy/5) --Arguments: width, height, lowest percentage of open space, amount of initial wall(44 or nil works best), random seed, growing iterations, smoothing iterations


--spinkle some new tiles on the map
perc = 5 --% of all free space shall be coin
probability = cavity.roomcount*(perc/100)
coincount = cavity.sprinkle(level,cavity.space,"coin",sx/5,sy/5,probability)
print(coincount)


perc = 5 --% of all wall shall be dirty
probability = (cavity.room-cavity.roomcount)*(perc/100)
dirtcount = cavity.sprinkle(level,cavity.wall,"dirty",sx/5,sy/5,probability)
print(dirtcount)
end

function love.update(dt)
end


function love.draw()
local lg = love.graphics
lg.setColor(255,255,255)
	for i,j in pairs(level) do
		for k,l in pairs(level[i]) do
			if level[i][k] == cavity.wall then
			lg.setColor(0,0,255)
			elseif level[i][k] == cavity.space then
			lg.setColor(0,200,0)
			elseif level[i][k] == "coin" then lg.setColor(255,255,0)
			elseif level[i][k] == "dirty" then lg.setColor(5,5,5) end
			lg.point(k*ps+ofx,i*ps+ofy)
		end

	end
end

function love.keypressed(k)
if k == "return" then
level = cavity.makemap(sx/5,sy/5,nil,nil,os.clock())
seed = cavity.seed
print("Made new level, seed: "..seed)
perc = 10 --% of all free space shall be coin
probability = cavity.roomcount*(perc/100)
coincount = cavity.sprinkle(level,cavity.space,"coin",sx/5,sy/5,probability)
print(coincount)


perc = 5 --% of all wall shall be dirty
probability = (((sx/5)*(sy/5))-cavity.roomcount)*(perc/100)
dirtcount = cavity.sprinkle(level,cavity.wall,"dirty",sx/5,sy/5,probability)
print(dirtcount)
end
end
